WriterPlsParserInternal::Font Struct Reference

Internal: class to store the font properties. More...

## Public Member Functions

| Font ()

## Public Attributes

MWAWFont | m_font
| the font
int | m_firstChar
| the first character

## Friends

std::ostream & | operator<< (std::ostream &o, Font const &f)
| operator<<

## Detailed Description

Internal: class to store the font properties.

## Constructor & Destructor Documentation

## Font()

WriterPlsParserInternal::Font::Font | ( |  | ) |

inline

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Font const & | f )

friend

operator<<

## Member Data Documentation

## m_firstChar

int WriterPlsParserInternal::Font::m_firstChar

the first character

Referenced by Font(), operator<<, and WriterPlsParser::readFonts().

## m_font

MWAWFont WriterPlsParserInternal::Font::m_font

the font

Referenced by Font(), and WriterPlsParser::readFonts().

The documentation for this struct was generated from the following file:

- WriterPlsParser.cxx